> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Config

> Get info about a webhook



## OpenAPI

````yaml GET /webhooks/{id}
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /webhooks/{id}:
    get:
      tags:
        - webhooks
      summary: webhooks/:id
      description: Get info about a webhook
      operationId: GetWebhookConfig
      parameters:
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/webhook'
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    webhook:
      type: object
      additionalProperties: false
      required:
        - url
      properties:
        uuid:
          type: string
          description: The unique identifier for this webhook.
        url:
          type: string
          description: The webhook server endpoint that was provided.
        hmac:
          type: string
          description: A secret that can be used to verify the signature of the webhook.
        basicAuth:
          type: string
          description: >-
            The basic auth credentials that will be used to POST to the webhook
            URL.
        retryType:
          type: string
          description: >-
            The retry configuration for this webhook endpoint to use. The
            default is circuit-breaker.
          enum:
            - circuit-breaker
            - exponential
        eventTypes:
          description: The set of event types this webhook is subscribed to.
          type: array
          items:
            type: string
            enum:
              - recording.ready-to-download
              - recording.started
              - recording.error
              - streaming.started
              - streaming.updated
              - streaming.ended
              - streaming.error
              - meeting.started
              - meeting.ended
              - participant.joined
              - participant.left
              - waiting-participant.joined
              - waiting-participant.left
              - batch-processor.job-finished
              - batch-processor.error
              - dialout.connected
              - dialout.error
              - dialout.stopped
              - dialout.warning
              - dialout.answered
              - dialin.ready
              - dialin.connected
              - dialin.error
              - dialin.stopped
              - dialin.warning
              - transcript.ready-to-download
              - transcript.started
              - transcript.error
              - calltransfer.triggered
              - calltransfer.initiated
              - calltransfer.answered
              - calltransfer.completed
        state:
          description: The current state of the webhook. "FAILED" | "INACTIVE"
          type: string
        failedCount:
          description: The number of consecutive failures this webhook has made.
          type: number
        lastMomentPushed:
          type: string
          description: >-
            The ISO 8601 time of the last moment an event was pushed to the
            webhook server.
        domainId:
          type: string
          description: The domain ID this webhook is associated with.
        createdAt:
          type: string
          description: The ISO 8601 time of when this webhook was created.
        updatedAt:
          type: string
          description: The ISO 8601 time of when this webhook was last updated.
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````